=== debian/changelog ===
qt6-quick3d (6.4.2-3build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 17:12:52 +0100

qt6-quick3d (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:54:41 +0000

qt6-quick3d (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:00:31 +0000

qt6-quick3d (6.4.2-3) unstable; urgency=medium

  * Team upload ot unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 14:20:59 -0300

qt6-quick3d (6.4.2-2) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042357).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jul 2023 11:42:15 -0300

qt6-quick3d (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:08:22 +0100

qt6-quick3d (6.4.2~rc1-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependencies to qt6-quick3d-dev, so the cmake config files work:
    qml6-module-quick3d, qml6-module-quick3d-assetutils,
    qml6-module-quick3d-effects, qml6-module-quick3d-helpers,
    qml6-module-quick3d-particleeffects, qml6-module-quick3d-particles3d,
    qt6-qmltooling-quick3dprofiler-plugin and qt6-quick3d-assetimporters-plugin.
    (Closes: #1027475)

 -- Pino Toscano <pino@debian.org>  Sun, 01 Jan 2023 14:02:35 +0100

qt6-quick3d (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:39 +0100

qt6-quick3d (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:12 +0100

qt6-quick3d (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023187):
    + Pass QT_HOST_PATH*.
    + Depend on ourselves when cross compiling.
    + Do build tools when cross compiling.
  * Enable link time optimization (Closes: #1015622).

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Dec 2022 01:48:21 +0100

qt6-quick3d (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 21:51:21 +0100

qt6-quick3d (6.4.0-4) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Oct 2022 07:33:36 +0200

qt6-quick3d (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D dh-exec.

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Oct 2022 23:08:22 +0200

qt6-quick3d (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install files for Embree only for amd64 and arm64.

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Oct 2022 20:08:05 +0200

qt6-quick3d (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Increase CMake verbosity level.
  * Remove patches as they have been applied upstream.
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Oct 2022 01:54:27 +0200
